Cyberduck Mountain Duck CLI

#2045 closed defect (fixed)

Won't allow connect due to LIST -a command

Reported by: pkrummenacker@… Owned by: dkocher
Priority: high Milestone: 3.2
Component: ftp Version: 3.0
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Cyberduck 3.0 (3966) appears to not connect to a Windows 2003 FTP server with a write only (drop box) site created. Error log shows:

NOOP
200 NOOP command successful.
SYST
215 Windows_NT
FEAT
211-FEAT
    SIZE
    MDTM
211 END
PASV
227 Entering Passive Mode (206,169,234,184,17,151).
LIST -a
125 Data connection already open; Transfer starting.
550 -a: Access is denied. 


I get the option to Try Again, or Cancel.

Trying again results in the same error, which IS correct because Directory Listing HAS been disabled on this folder.

If you select Try again once, then hit Cancel again the next time, it shows 0 files, then you can drop a file and it will upload, but the error messages give you the impression that you are not connected.

I would like to be able to have Cyberduck NOT send the list -a command.

Attachments (2)

utsbetadrop.JPG (65.8 KB) - added by pkrummenacker@… on May 14, 2008 at 9:53:47 PM.
settings of FTP session
utsbeta_error.JPG (82.3 KB) - added by pkrummenacker@… on May 14, 2008 at 9:54:24 PM.
error returned

Download all attachments as: .zip

Change History (10)

Changed on May 14, 2008 at 9:53:47 PM by pkrummenacker@…

settings of FTP session

Changed on May 14, 2008 at 9:54:24 PM by pkrummenacker@…

error returned

comment:1 Changed on May 16, 2008 at 12:12:55 PM by dkocher

  • Description modified (diff)
  • Milestone set to 3.0.1
  • Priority changed from normal to high
  • Status changed from new to assigned

comment:2 Changed on May 16, 2008 at 9:13:02 PM by dkocher

  • Milestone changed from 3.0.1 to 3.1

comment:3 Changed on Jul 21, 2008 at 3:38:29 PM by dkocher

  • Milestone 3.0.2 deleted
  • Summary changed from write only (dropbox) FTP site won't allow connect due to list -a command being issued to Write only (dropbox) FTP site won't allow connect due to LIST -a command

comment:4 Changed on Jan 23, 2009 at 1:06:13 PM by dkocher

Set

defaults write ch.sudo.cyberduck ftp.sendExtendedListCommand false

to disable the use of LIST -a. See help/en/problems?.

comment:5 Changed on Jan 23, 2009 at 1:06:41 PM by dkocher

  • Component changed from core to ftp

comment:6 Changed on Jan 23, 2009 at 1:07:26 PM by dkocher

#2916 closed as duplicate.

comment:7 Changed on Apr 15, 2009 at 6:38:08 PM by dkocher

  • Summary changed from Write only (dropbox) FTP site won't allow connect due to LIST -a command to Won't allow connect due to LIST -a command

See also #2916.

comment:8 Changed on Apr 15, 2009 at 6:55:40 PM by dkocher

  • Milestone set to 3.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r4604.

Note: See TracTickets for help on using tickets.
swiss made software